// OpenGraphMFCClientDoc.cpp : implementation of the COpenGraphMFCClientDoc class
//

#include "stdafx.h"
#include "OpenGraphMFCClient.h"

#include "OpenGraphMFCClientDoc.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// COpenGraphMFCClientDoc

IMPLEMENT_DYNCREATE(COpenGraphMFCClientDoc, CDocument)

BEGIN_MESSAGE_MAP(COpenGraphMFCClientDoc, CDocument)
END_MESSAGE_MAP()


// COpenGraphMFCClientDoc construction/destruction

COpenGraphMFCClientDoc::COpenGraphMFCClientDoc()
{
	// TODO: add one-time construction code here

}

COpenGraphMFCClientDoc::~COpenGraphMFCClientDoc()
{
}

BOOL COpenGraphMFCClientDoc::OnNewDocument()
{
	if (!CDocument::OnNewDocument())
		return FALSE;

	// TODO: add reinitialization code here
	// (SDI documents will reuse this document)

	return TRUE;
}




// COpenGraphMFCClientDoc serialization

void COpenGraphMFCClientDoc::Serialize(CArchive& ar)
{
	if (ar.IsStoring())
	{
		// TODO: add storing code here
	}
	else
	{
		// TODO: add loading code here
	}
}


// COpenGraphMFCClientDoc diagnostics

#ifdef _DEBUG
void COpenGraphMFCClientDoc::AssertValid() const
{
	CDocument::AssertValid();
}

void COpenGraphMFCClientDoc::Dump(CDumpContext& dc) const
{
	CDocument::Dump(dc);
}
#endif //_DEBUG


// COpenGraphMFCClientDoc commands
